Skip to main content
Package: mangopay4-python-sdk

3.56.0 - Mar 30, 2026

3.56.0 - Mar 30, 2026

Breaking change
  • Payconiq PayIn removed following discontinuation
Added
  • Klarna discount property on line items

3.55.0 - Mar 23, 2026

Added

Support for mTLS authentication

To support mTLS authentication for SCA on platforms, which is required for platforms taking SCA-triggering action under proxy:
  • Added mtls_cert, mtls_private_key properties
  • Moved requests_session = requests.Session() from being global to being instantiated per handler (self._session = requests.Session())
  • Updated the requests logic to add the mTLS certificate if present
  • Updated README.md file with details on how to configure mTLS for the SDK
Note: The SDK requires TLS 1.2+ for TLS compliance, even for non-mTLS connections, in line with Mangopay’s security guidelines.

3.54.1 - Feb 19, 2026

Added

ChargeBearer body parameter on payouts

On POST Create a Payout, platforms can now request to pay all SWIFT fees using the OUR value of the new ChargeBearer property (API release note):
  • Added charge_bearer param (CharField) to BankWirePayOut class
  • Updated tests

Added

AuthenticationType response property on card pay-ins

The AuthenticationResult.AuthenticationType response property is now returned on card pay-ins (API release note):
  • Added the AuthenticationResult class
  • Added the AuthenticationResultField class
  • Added authentication_result param (AuthenticationResultField) to PreAuthorization, CardValidation, Deposit, PayIn classes
  • Updated tests

Added

TelephoneOrder body parameter on recurring card pay-ins (CIT and MIT)

To support the TelephoneOrder property on POST Create a Recurring PayIn (MIT) and POST Create a Recurring PayIn (CIT):
  • Added payment_category (CharField) to RecurringPayInCIT and RecurringPayInMIT classes
  • Updated tests

3.54.0 - Feb 12, 2026

FX

Breaking change

Custom fees

To support percentage-based FX fees (API release note):
Caution - Breaking change
  • The InstantConversion.Fees type is now CustomFeesField instead of MoneyField
  • Added Fees, RequestedFees to ConversionQuote
  • Added RequestedFees to Conversion

Added

User margin

To support the FX user margin (API release note):
  • Added UserMargin to ConversionQuote, InstantConversion
  • Added MarginsResponse to ConversionQuote, Conversion

Echo

Breaking change

Settlement upload endpoints

To support the new behavior of the POST Create a Settlement endpoint to obtain an UploadUrl:
  • Updated settlement_sample.csv and tests
  • Added file_name and upload_url to Settlement
Caution - Breaking change
  • Replaced upload method in Settlement with generate_upload_url:
Python
Caution - Breaking change
  • Replaced update method in Settlement with: generate_new_upload_url
Python

Added

GET validations for a Settlement endpoint

To support the GET View validations for a Settlement endpoint:
  • Added SettlementValidation class
  • Added get method to SettlementValidation
Python

PUT Cancel a Settlement endpoint

To support the PUT Cancel a Settlement endpoint:
  • Changes: added cancel method to Settlement
Python

Intent unfunded amounts and source wallet

  • Added SplitOriginWalletId to PayInIntentSplit
  • Added UnfundedAmount to PayInIntent

POST Create an Intent Refund

To support POST Create an Intent Refund:
  • Added Refund and Capture to PayInIntent
  • Added create_refund method to PayInIntent
Python

POST Reverse an Intent Refund

To support POST Reverse an Intent Refund:
  • Added reverse_refund method to PayInIntent
Python

POST Create an Intent Dispute

To support POST Create an Intent Dispute:
  • Added Dispute to PayInIntent
  • Added create_dispute method to PayInIntent
Python

PUT Update an Intent Dispute

To support PUT Update an Intent Dispute:
  • Added decision to PayInIntent
  • Added update_dispute_outcome method to PayInIntent
Python

3.53.0 - Jan 30, 2026

Added

Support for new SCA status endpoint

The SDK now supports the new GET View the SCA status of a User endpoint. Added ConsentScopeField in mangopay/fields.py:
Added ScaStatus class in mangopay/resources.py:
Corresponding tests updated in tests/test_users.py.

New event types

Added new constants to mangopay/constants.py:

RecipientId property on payouts

To support the sending of RecipientId on payouts, in mangopay/resources.py:
  • Moved the Recipient class before the BankWirePayOut class in order to be able to reference the recipient inside the payout
  • Inside the BankWirePayOut class, made bank_account nullable
  • Inside the BankWirePayOut class added reference to recipient:
Added PayOutsTestLive class in tests/test_payouts.py.

Fixed

User-Agent header

In mangopay/init.py The SDK now tries to use importlib.metadata.version to get the package version and falls back to the previous method:

3.52.0 - Nov 26, 2025

Changed

  • changed naming convention to mangopay4

3.51.1 - Nov 25, 2025

Added

3.51.0 - Oct 27, 2025

Added

Changed

  • x-tenant-id deprecated as no longer necessary for UK platforms; the parameter is ignored by Mangopay

3.50.0 - Oct 1, 2025

Added

3.49.4 - Sep 23, 2025

Added

  • Webhook event types for Echo, Mangopay’s solution for third-party PSP integrations: INTENT_AUTHORIZED,INTENT_CAPTURED,INTENT_REFUNDED,INTENT_REFUND_REVERSED,INTENT_DISPUTE_CREATED,INTENT_DISPUTE_DEFENDED,INTENT_DISPUTE_WON,INTENT_DISPUTE_LOST,INTENT_SETTLED_NOT_PAID,INTENT_PAID,SPLIT_CREATED,SPLIT_PENDING_FUNDS_RECEPTION,SPLIT_AVAILABLE,SPLIT_REJECTED,SPLIT_REVERSED #448
  • Support for VirtualAccountPurpose on Banking Alias object

3.49.3 - Sep 8, 2025

Added

  • Support for ProfilingAttemptReference on all payment methods

3.49.2 - Sep 3, 2025

Added

  • Support for missing fields on TransferRefund

Changed

  • Casing of 3 fields to harmonise on snake_case ⚠️ Breaking change for Conversion quote_Id, Document(KYC) processed_date, and Ubo is_active
  • OAuth token refresh buffer before expiry updated to 30s
  • Updated testing library to pynose

Fixed

  • Tests

3.49.1 - Aug 14, 2025

Added

3.49.0 - Aug 7, 2025

Added

Support for new Splits endpoints for Echo (API release note): New ReportTypes for Echo (API release note):
  • ECHO_INTENT
  • ECHO_INTENT_ACTION
  • ECHO_SETTLEMENT
  • ECHO_SPLIT

3.48.1 - Jul 28, 2025

Added

3.48.0 - Jul 18, 2025

Added

Endpoints for Mangopay Echo, a solution for platforms working with another third-party PSP for funds acquisition (including via the Mirakl Connector):

3.47.0 - Jul 2, 2025

Added

3.46.1 - Jun 16, 2025

Added

3.46.0 - Jun 10, 2025

Added

Endpoints for new Reporting Service feature: Webhook event types for new Reporting Service:
  • REPORT_GENERATED
  • REPORT_FAILED
Support for GET List Disputes for a PayIn endpoint.

3.45.1 - Jun 6, 2025

Added

Fixed

  • Status enum value on Identity Verification object changed from OUTDATED to OUT_OF_DATE